Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.crawler.settings
Class ModuleType

    java.lang.Object
      javax.management.Attribute
          org.archive.crawler.settings.Type
              org.archive.crawler.settings.ComplexType
                  org.archive.crawler.settings.ModuleType

All Implemented Interfaces:
  java.io.Serializable, javax.management.DynamicMBean

Direct Known Subclasses:
  AbstractFrontier, AbstractTracker, AdaptiveRevisitFrontier, BaseRule, CrawlOrder, Credential, CredentialStore, DecideRule, Filter, Processor, RobotsHonoringPolicy

    public class ModuleType

extends ComplexType

Superclass of all modules that should be configurable.

Author:
  John Erik Halse
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.archive.crawler.settings.ComplexType
`ComplexType.Context, ComplexType.MBeanAttributeInfoIterator`

Field Summary

Fields inherited from class org.archive.crawler.settings.ComplexType
`definition, definitionMap`

Constructor Summary
`ModuleType(java.lang.String name)` Every subclass should implement this constructor
`ModuleType(java.lang.String name, java.lang.String description)` Creates a new ModuleType.

Method Summary
`Type` | `addElement(CrawlerSettings settings, Type type)`
`protected void` | `listUsedFiles(java.util.List<java.lang.String> list)` Those Modules that use files on disk should list them all when this method is called.

Methods inherited from class org.archive.crawler.settings.ComplexType
`addElementToDefinition, checkValue, checkValue, earlyInitialize, getAbsoluteName, getAttribute, getAttribute, getAttribute, getAttributeInfo, getAttributeInfo, getAttributeInfoIterator, getAttributes, getDataContainerRecursive, getDataContainerRecursive, getDefaultValue, getDefinition, getDescription, getElementFromDefinition, getLegalValues, getLocalAttribute, getMBeanInfo, getMBeanInfo, getParent, getPreservedFields, getSettingsFromObject, getSettingsFromObject, getSettingsHandler, getUncheckedAttribute, getValue, globalSettings, invoke, isInitialized, isOverridden, iterator, removeElementFromDefinition, setAsOrder, setAttribute, setAttribute, setAttributes, setDescription, setPreservedFields, toString, unsetAttribute`

Methods inherited from class org.archive.crawler.settings.Type
`addConstraint, equals, getConstraints, getLegalValueType, isExpertSetting, isOverrideable, isTransient, setExpertSetting, setLegalValueType, setOverrideable, setTransient`

Methods inherited from class javax.management.Attribute
`getName`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModuleType

    public ModuleType(java.lang.String name,
                      java.lang.String description)

  Creates a new ModuleType. This constructor is made to help implementors of subclasses. It is an requirement that subclasses at the very least implements a constructor that takes only the name as an argument.

  Parameters:
    `name` - the name of the module.
    `description` - the description of the module.

### ModuleType

    public ModuleType(java.lang.String name)

  Every subclass should implement this constructor

  Parameters:
    `name` - of the module

Method Detail

### addElement

    public Type addElement(CrawlerSettings settings,
                           Type type)
                    throws javax.management.InvalidAttributeValueException

  Overrides:
    `addElement` in class `ComplexType`
  Throws:
    `javax.management.InvalidAttributeValueException`

### listUsedFiles

    protected void listUsedFiles(java.util.List<java.lang.String> list)

  Those Modules that use files on disk should list them all when this method is called.

  Each file (as a string name with full path) should be added to the provided list.

  Modules that do not use any files can safely ignore this method.

  Parameters:
    `list` - The list to add files to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.